package com.itheima.po;

// 导入链表类，用于存储学生对象的列表
import java.util.List;

// 表示班级实体的类
public class Class {
    // 班级主键ID
    private Integer c_id;
    // 班级编号
    private Integer c_classid;
    // 班级名称
    private String c_classname;
    // 班级辅导员姓名
    private String c_counsellor;
    // 班级与学生为一对多关系，使用链表存储学生对象
    private List<Student> students;

    // 获取班级主键ID的方法
    public Integer getC_id() {
        return c_id;
    }

    // 设置班级主键ID的方法
    public void setC_id(Integer c_id) {
        this.c_id = c_id;
    }

    // 获取班级编号的方法
    public Integer getC_classid() {
        return c_classid;
    }

    // 设置班级编号的方法
    public void setC_classid(Integer c_classid) {
        this.c_classid = c_classid;
    }

    // 获取班级名称的方法
    public String getC_classname() {
        return c_classname;
    }

    // 设置班级名称的方法
    public void setC_classname(String c_classname) {
        this.c_classname = c_classname;
    }

    // 获取班级辅导员姓名的方法
    public String getC_counsellor() {
        return c_counsellor;
    }

    // 设置班级辅导员姓名的方法
    public void setC_counsellor(String c_counsellor) {
        this.c_counsellor = c_counsellor;
    }

    // 获取学生列表的方法
    public List<Student> getStudents() {
        return students;
    }

    // 设置学生列表的方法
    public void setStudents(List<Student> students) {
        this.students = students;
    }
}
